db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrew McIntyre <mcintyr...@gmail.com>
Subject Re: Documentation build error
Date Tue, 10 Feb 2009 06:38:25 GMT
On Mon, Feb 9, 2009 at 1:50 PM, Kim Haase <Camilla.Haase@sun.com> wrote:
> On 02/09/09 13:29, Knut Anders Hatlen wrote
>>
>> By the way, I vaguely recall that we did some work to get the docs to
>> build with DITA 1.2. Have you tried upgrading it?
>
> That would be an interesting experiment. Actually Andrew McIntyre did some
> work to get Derby to build with DITA 1.3 and a newer version of FOP, but I'm
> not sure it worked. We would probably need an expert like Andrew to do some
> tweaking of the Derby files to make the build work right. I think he made
> some progress -- see DERBY-2373 -- but I'm not sure it has been followed up
> on.
>
> DITA is now at 1.4.

There are new versions of both DITA and FOP. FOP is now at 0.95, we're
currently using FOP 0.93. The main thing to consider when upgrading is
not to regress the issues that we found and fixed with the DITA
toolkit, e.g. DERBY-408, 502, 753, and 1805. I'll be happy to field
questions about upgrading either of the libraries or adjusting the Ant
scripts, or about how to fix the errors reported by DITA.

andrew

Mime
View raw message